| Home | Libraries | People | FAQ | More

##### value_at

###### Description

Returns the actual type at a given index from the Sequence.

###### Synopsis

    template<
        typename Seq,
        typename N>
    struct value_at
    {
        typedef unspecified type;
    };

Table 1.27. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Seq` | A model of Forward Sequence | Argument sequence
`N` | An MPL Integral Constant | Index of element

###### Expression Semantics

    result_of::value_at<Seq, N>::type

Return type: Any type.

Semantics: Returns the actual type at the `N`th element of `Seq`.

/sequence/intrinsic/value_at.hpp>

###### Example

    typedef vector<int,float,char> vec;
    BOOST_MPL_ASSERT((boost::is_same<result_of::value_at<vec, boost::mpl::int_<1> >::type, float>));